Fetch Transaction By ID
curl --request GET \
--url https://api.breet.io/v1/trades/transactions/{id} \
--header 'X-Breet-Env: <api-key>' \
--header 'x-app-id: <api-key>' \
--header 'x-app-secret: <api-key>'import requests
url = "https://api.breet.io/v1/trades/transactions/{id}"
headers = {
"x-app-id": "<api-key>",
"x-app-secret": "<api-key>",
"X-Breet-Env": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-app-id': '<api-key>',
'x-app-secret': '<api-key>',
'X-Breet-Env': '<api-key>'
}
};
fetch('https://api.breet.io/v1/trades/transactions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "transaction retrieved successfully",
"success": true,
"data": {
"id": "692f91aa729255932afe9078",
"amount": 20310.45645038847,
"avatar": "https://assets.breet.io/dev/sell/assets/SOL_TEST.png",
"rate": 1000,
"reason": "This trade was flagged but resolved with a top-up from trade ID: 692f91aa729255932afe9078.",
"txHash": "aa801188ukdjfhdbf3771dfdf86388b8b694a2ac0226748346y34kbc3",
"txLink": "https://solana.fm/tx/aa801188ukdjfhdbf3771dfdf86388b8b694a2ac0226748346y34kbc3",
"asset": "67063f653b4a1f6c7a60ec57",
"vaultId": "121",
"address": "6DKYpZfd86BUDTjPe4E3JEGwnYW99KU3NDazk7BjpN8V",
"sourceAddress": "bc1qf43tdrym26qlz8rg06f88wg35n27uhcf29zs4f",
"wallet": "692ee010676df23be435e2f1",
"passAMLCheck": true,
"conversionRate": 1,
"amountReceived": 21.379427842514175,
"cryptoReceived": "0.00025406",
"flagFeeUSD": 10,
"walletCredited": true,
"status": "completed",
"currency": "ngn",
"integration": "692d994b7ca6e4da422363fb",
"feeAmount": 1068.9713921257087,
"createdAt": "2025-12-03T01:26:02.354Z",
"updatedAt": "2025-12-03T01:26:04.066Z"
},
"meta": {},
"summary": {},
"stats": {}
}Transactions
Fetch Transaction By ID
Retrieve a crypto transaction using its unique id.
GET
/
trades
/
transactions
/
{id}
Fetch Transaction By ID
Authorizations
Your application ID from the Breet dashboard
Your application secret from the Breet dashboard
Environment selector: development or production
Path Parameters
ID of the transaction.
Response
Transaction details returned successfully
Was this page helpful?
⌘I